//
//  Mesure des tensions et température
//
//  www.thyzoon.fr
//  2015-2017
//

#include "Arduino.h"

// parametres CAN
#define VREF 3.3         // reference de tension du CAN
#define RESOLUTION 1024  // resolution du CAN

// resistance mesure tension LIFE ou LIPO
#define R1 3480 // resistances du pont de mesure
#define R2 2150 // de la tension LIFE ou LIPO 1
#define R3 3480 // resistances du pont de mesure
#define R4 2150 // de la tension LIFE ou LIPO 2


// Paramètres mesures de temperature
#define RINF 0.033723338    // = R0 x e(-B/Temp)   avec  Temp : 298.15 soit 25°C
#define R0 5000             // Rctn à 298.15 K (25°C)
#define B  3550             // coef B du capteur ctn
#define K  0.0015           // constante de dissipation ctn
#define R6 1500             // resistance R6 du pont
#define ZERO_KELVIN -273.15 // -273.15 °C = 0 Kelvin

class Mesure{
  public:
  void init(); 
  float Tension_LI1 ();
  float Tension_LI2 ();
  int Temperature ();
  Mesure ();
  
  private:
  uint16_t lecture_can (uint8_t pin);
};
